# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'a4tools/version'

Gem::Specification.new do |spec|
  spec.name          = "a4tools"
  spec.version       = A4Tools::VERSION
  spec.authors       = ["Jonas Acres"]
  spec.email         = ["jonas.acres@acres4.com"]
  spec.summary       = %q{It's dangerous to go alone! Take this.}
  spec.description   = %q{A series of tools to make life better at Acres 4.0.}
  spec.homepage      = "http://github.com/acres4/a4tools"
  spec.license       = "Proprietary"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"

  spec.add_runtime_dependency 'io'
  spec.add_runtime_dependency 'io-console'
  spec.add_runtime_dependency 'json', "~> 1.7"
  spec.add_runtime_dependency 'logger', "~> 1.2"
  #spec.add_runtime_dependency 'rest-client', "~> 1.6"
  #spec.add_runtime_dependency 'sinatra', "~> 1.4"
  #spec.add_runtime_dependency 'thin', "~> 1.6"
  spec.add_runtime_dependency 'trollop', "~> 2.0"
  #spec.add_runtime_dependency 'mysql2', "~> 0.3"
  spec.add_runtime_dependency 'eventmachine', "~> 1.0"
  spec.add_runtime_dependency 'colorize', "0.7"
  spec.add_runtime_dependency 'jebediah', "~> 1.0"
  spec.add_runtime_dependency 'faye-websocket', "0.7"
  spec.add_runtime_dependency 'talk'
end
